Package com.independentsoft.graph.calendars

# Class EventMessage

java.lang.Object
com.independentsoft.graph.mails.Message
com.independentsoft.graph.calendars.EventMessage

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class EventMessage extends Message

- ## Field Summary

  ### Fields inherited from class com.independentsoft.graph.mails.Message

  `attachments, bccRecipients, body, bodyPreview, categories, ccRecipients, changeKey, conversationId, conversationIndex, createdTime, extendedProperties, flag, from, hasAttachments, id, importance, inferenceClassification, internetMessageHeaders, internetMessageId, isDeliveryReceiptRequested, isDraft, isRead, isReadReceiptRequested, lastModifiedTime, mentionsPreview, parentFolderId, receivedTime, replyTo, sender, sentTime, subject, toRecipients, uniqueBody, unsubscribeData, unsubscribeEnabled, webLink`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventMessage()`
  `EventMessage​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateTimeTimeZone`
  `getEnd()`
  `Location`
  `getLocation()`
  `MeetingMessageType`
  `getMeetingMessageType()`
  `Recurrence`
  `getRecurrence()`
  `DateTimeTimeZone`
  `getStart()`
  `EventType`
  `getType()`
  `boolean`
  `isAllDay()`
  `boolean`
  `isDelegated()`
  `boolean`
  `isOutOfDate()`
  `void`
  `setAsAllDay​(boolean isAllDay)`
  `void`
  `setAsDelegated​(boolean isDelegated)`
  `void`
  `setAsOutOfDate​(boolean isOutOfDate)`
  `void`
  `setAsUnsubscribeEnabled​(boolean unsubscribeEnabled)`
  `void`
  `setEnd​(DateTimeTimeZone end)`
  `void`
  `setLocation​(Location location)`
  `void`
  `setMeetingMessageType​(MeetingMessageType meetingMessageType)`
  `void`
  `setRecurrence​(Recurrence recurrence)`
  `void`
  `setStart​(DateTimeTimeZone start)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class com.independentsoft.graph.mails.Message

  `getAttachments, getBccRecipients, getBody, getBodyPreview, getCategories, getCcRecipients, getChangeKey, getConversationId, getConversationIndex, getCreatedTime, getExtendedProperties, getFlag, getFrom, getId, getImportance, getInferenceClassification, getInternetMessageHeaders, getInternetMessageId, getLastModifiedTime, getParentFolderId, getReceivedTime, getReplyTo, getSender, getSentTime, getSubject, getToRecipients, getUniqueBody, getUnsubscribeData, getWebLink, hasAttachments, isDeliveryReceiptRequested, isDraft, isRead, isReadReceiptRequested, mentionsPreview, setAsDeliveryReceiptRequested, setAsDraft, setAsRead, setAsReadReceiptRequested, setBody, setFlag, setFrom, setHasAttachments, setId, setImportance, setInferenceClassification, setInternetMessageId, setSender, setSubject, setUnsubscribeData, setUnsubscribeEnabled, toAttachmentItem, unsubscribeEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventMessage

    public EventMessage()

  - ### EventMessage

    public EventMessage​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Overrides:
      `toCreateJson` in class `Message`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Overrides:
      `toUpdateJson` in class `Message`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Overrides:
      `toUpdateJson` in class `Message`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Message`

  - ### getEnd

    public DateTimeTimeZone getEnd()

  - ### setEnd

    public void setEnd​(DateTimeTimeZone end)

  - ### isAllDay

    public boolean isAllDay()

  - ### setAsAllDay

    public void setAsAllDay​(boolean isAllDay)

  - ### isDelegated

    public boolean isDelegated()

  - ### setAsDelegated

    public void setAsDelegated​(boolean isDelegated)

  - ### isOutOfDate

    public boolean isOutOfDate()

  - ### setAsOutOfDate

    public void setAsOutOfDate​(boolean isOutOfDate)

  - ### getLocation

    public Location getLocation()

  - ### setLocation

    public void setLocation​(Location location)

  - ### getMeetingMessageType

    public MeetingMessageType getMeetingMessageType()

  - ### setMeetingMessageType

    public void setMeetingMessageType​(MeetingMessageType meetingMessageType)

  - ### getRecurrence

    public Recurrence getRecurrence()

  - ### setRecurrence

    public void setRecurrence​(Recurrence recurrence)

  - ### getStart

    public DateTimeTimeZone getStart()

  - ### setStart

    public void setStart​(DateTimeTimeZone start)

  - ### getType

    public EventType getType()

  - ### setAsUnsubscribeEnabled

    public void setAsUnsubscribeEnabled​(boolean unsubscribeEnabled)